{
  "name": "koishi-plugin-hisoutensoku-jammer",
  "version": "11.2.6",
  "description": "A Koishi Plugin jamming hisoutensoku plays in group.",
  "main": "dist/index.js",
  "types": "dist/src/index.d.ts",
  "scripts": {
    "lint": "eslint --fix .",
    "build": "webpack && env PACK_ALL=1 webpack",
    "start": "ts-node ./dev",
    "test": "jest --passWithNoTests"
  },
  "repository": {
    "type": "git",
    "url": "https://code.mycard.moe/nanahira/koishi-plugin-hisoutensoku-jammer.git"
  },
  "author": "Nanahira <nanahira@momobako.com>",
  "license": "MIT",
  "keywords": [
    "Koishi.js",
    "qqbot",
    "cqhttp",
    "required:cache",
    "market:hidden"
  ],
  "bugs": {
    "url": "https://code.mycard.moe/nanahira/koishi-plugin-hisoutensoku-jammer/issues"
  },
  "homepage": "https://code.mycard.moe/nanahira/koishi-plugin-hisoutensoku-jammer",
  "dependencies": {
    "crypto-random-string": "^3.3.1",
    "ip": "^1.1.5",
    "koishi-thirdeye": "^10.3.2",
    "lodash": "^4.17.21",
    "moment": "^2.29.1",
    "tesseract.js": "^2.1.5"
  },
  "devDependencies": {
    "@koishijs/plugin-cache-lru": "^1.0.0-rc.0",
    "@koishijs/plugin-console": "^3.3.2",
    "@koishijs/plugin-database-memory": "^1.3.0",
    "@koishijs/plugin-sandbox": "^1.1.3",
    "@types/ip": "^1.1.0",
    "@types/jest": "^27.4.0",
    "@types/lodash": "^4.14.177",
    "@types/node": "^16.11.9",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "@typescript-eslint/parser": "^4.33.0",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^3.4.1",
    "jest": "^27.5.1",
    "prettier": "^2.4.1",
    "raw-loader": "^4.0.2",
    "ts-jest": "^27.1.3",
    "ts-loader": "^9.2.6",
    "ts-node": "^10.5.0",
    "typescript": "^4.5.2",
    "webpack": "^5.64.2",
    "webpack-cli": "^4.9.1",
    "ws": "^8.3.0"
  },
  "peerDependencies": {
    "koishi": "^4.7.5"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "tests",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
